﻿using System;
using System.Web.UI.WebControls;

using Sunyi.Project.WebPoint.BusinessLogic;
using Sunyi.Project.WebPoint.WebControl;

using ActivitySystem.BusinessLogic;

namespace ActivitySystem.Web.Activity
{
    public partial class TypeList : WebPointPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                try
                {
                    Search();
                }
                catch (Exception ex)
                {
                    ExceptionHandler.Handle(this, ex);
                }
            }
        }

        protected void btnSearch_Click(object sender, EventArgs e)
        {
            try
            {
                gvType.PageIndex = 0;
                Search();
            }
            catch (Exception ex)
            {
                ExceptionHandler.Handle(this, ex);
            }
        }

        protected void gvType_PageIndexChanging(object sender, GridViewPageEventArgs e)
        {
            try
            {
                gvType.PageIndex = e.NewPageIndex;
                Search();
            }
            catch (Exception ex)
            {
                ExceptionHandler.Handle(this, ex);
            }
        }

        private void Search()
        {
            string name = tbxTypeName.Text;
            bool isActive = string.IsNullOrEmpty(ddlStatus.SelectedValue) ? true : Boolean.Parse(ddlStatus.SelectedValue);

            ActivityTypeManager activityManager = new ActivityTypeManager();

            if (gvType.PageIndex == 0)
            {
                gvType.TotalCount = activityManager.SearchCount(name, isActive);
            }

            gvType.DataSource = activityManager.Search(name, isActive, gvType.PageIndex, gvType.PageSize);
            gvType.DataBind();

            if (!Page.IsPostBack)
            {
                AuditLogger.Write(AuditLogOperationCode.Search, this.GetType().Name, name, isActive, gvType.PageIndex, gvType.PageSize);
            }
        }

        #region WebPointPage Member

        protected override void ApplyPermission()
        {
            if (!this.HasPermission(PermissionType.Create))
            {
                litCreateNew.Visible = false;
            }

            if (!this.HasPermission(PermissionType.Update))
            {
                if (gvType.Columns.Count >= 1) gvType.Columns[gvType.Columns.Count - 1].Visible = false;
            }
        }

        #endregion
    }
}