﻿using System;
using System.Collections.ObjectModel;
using System.Data;
using System.Data.SqlClient;

using Sunyi.Project.WebPoint.DataContract;

namespace Sunyi.Project.WebPoint.DataAccess
{
    public partial class LogDao
    {
        public int SearchCount(string level, string source, string category, string eventId, DateTime insertTimestamp)
        {
            int count = 0;

            SqlConnection connection = ConnectionProvider.CreateConnection();
            SqlCommand command = connection.CreateCommand();
            command.CommandType = CommandType.StoredProcedure;
            command.CommandText = "procTR_Log_Search_Count";
            command.Parameters.Add(new SqlParameter("@Level", level));
            command.Parameters.Add(new SqlParameter("@Source", source));
            command.Parameters.Add(new SqlParameter("@Category", category));
            command.Parameters.Add(new SqlParameter("@EventId", eventId));
            command.Parameters.Add(new SqlParameter("@InsertTimestamp", insertTimestamp));

            try
            {
                connection.Open();

                count = (int)command.ExecuteScalar();
            }
            finally
            {
                ConnectionProvider.CloseConnection(connection);
            }

            return count;
        }

        public Collection<Log> Search(string level, string source, string category, string eventId, DateTime insertTimestamp, int pageIndex, int pageSize)
        {
            Collection<Log> logs = new Collection<Log>();

            SqlConnection connection = ConnectionProvider.CreateConnection();
            SqlCommand command = connection.CreateCommand();
            command.CommandType = CommandType.StoredProcedure;
            command.CommandText = "procTR_Log_Search";
            command.Parameters.Add(new SqlParameter("@Level", level));
            command.Parameters.Add(new SqlParameter("@Source", source));
            command.Parameters.Add(new SqlParameter("@Category", category));
            command.Parameters.Add(new SqlParameter("@EventId", eventId));
            command.Parameters.Add(new SqlParameter("@InsertTimestamp", insertTimestamp));
            command.Parameters.Add(new SqlParameter("@PageIndex", pageIndex));
            command.Parameters.Add(new SqlParameter("@PageSize", pageSize));

            try
            {
                connection.Open();

                using (SqlDataReader reader = command.ExecuteReader())
                {
                    while (reader.Read())
                    {
                        Log log = CreateEntityByReader(reader);
                        logs.Add(log);
                    }
                }
            }
            finally
            {
                ConnectionProvider.CloseConnection(connection);
            }

            return logs;
        }

        public void DeleteAll()
        {
            SqlConnection connection = ConnectionProvider.CreateConnection();
            SqlCommand command = connection.CreateCommand();
            command.CommandType = CommandType.StoredProcedure;
            command.CommandText = "procTR_Log_DeleteAll";

            try
            {
                connection.Open();
                command.ExecuteNonQuery();
            }
            finally
            {
                ConnectionProvider.CloseConnection(connection);
            }
        }
    }
}
