﻿using System.Collections.ObjectModel;
using System.Data;
using System.Data.SqlClient;

using Sunyi.Project.WebPoint.DataContract;

namespace Sunyi.Project.WebPoint.DataAccess
{
    public partial class SystemInfoDao
    {
        public SystemInfo SelectByName(string systemName)
        {
            SystemInfo systemInfo = null;

            SqlConnection connection = ConnectionProvider.CreateConnection();
            SqlCommand command = connection.CreateCommand();
            command.CommandType = CommandType.StoredProcedure;
            command.CommandText = "procPR_SystemInfo_SelectByName";
            command.Parameters.Add(new SqlParameter("@SystemName", systemName));

            try
            {
                connection.Open();

                using (SqlDataReader reader = command.ExecuteReader())
                {
                    while (reader.Read())
                    {
                        systemInfo = CreateEntityByReader(reader);
                    }
                }
            }
            finally
            {
                ConnectionProvider.CloseConnection(connection);
            }

            return systemInfo;
        }

        public int SearchCount(string systemName, bool isActive)
        {
            int count = 0;

            SqlConnection connection = ConnectionProvider.CreateConnection();
            SqlCommand command = connection.CreateCommand();
            command.CommandType = CommandType.StoredProcedure;
            command.CommandText = "procPR_SystemInfo_Search_Count";
            command.Parameters.Add(new SqlParameter("@SystemName", systemName));
            command.Parameters.Add(new SqlParameter("@IsActive", isActive));

            try
            {
                connection.Open();

                count = (int)command.ExecuteScalar();
            }
            finally
            {
                ConnectionProvider.CloseConnection(connection);
            }

            return count;
        }

        public Collection<SystemInfo> Search(string systemName, bool isActive, int pageIndex, int pageSize)
        {
            Collection<SystemInfo> systemInfos = new Collection<SystemInfo>();

            SqlConnection connection = ConnectionProvider.CreateConnection();
            SqlCommand command = connection.CreateCommand();
            command.CommandType = CommandType.StoredProcedure;
            command.CommandText = "procPR_SystemInfo_Search";
            command.Parameters.Add(new SqlParameter("@SystemName", systemName));
            command.Parameters.Add(new SqlParameter("@IsActive", isActive));
            command.Parameters.Add(new SqlParameter("@PageIndex", pageIndex));
            command.Parameters.Add(new SqlParameter("@PageSize", pageSize));

            try
            {
                connection.Open();

                using (SqlDataReader reader = command.ExecuteReader())
                {
                    while (reader.Read())
                    {
                        SystemInfo systemInfo = CreateEntityByReader(reader);
                        systemInfos.Add(systemInfo);
                    }
                }
            }
            finally
            {
                ConnectionProvider.CloseConnection(connection);
            }

            return systemInfos;
        }
    }
}
