using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;

using Sunyi.Project.WebPoint.DataContract;

namespace Sunyi.Project.WebPoint.DataContract
{
    [Serializable]
    public partial class Role : IDataEntity
    {
        #region Property

        public Guid Id
        {
            get;
            set;
        }

        public Guid SystemId
        {
            get;
            set;
        }

        public string RoleName
        {
            get;
            set;
        }

        public string Description
        {
            get;
            set;
        }

        public bool IsActive
        {
            get;
            set;
        }

        public DateTime InsertTimestamp
        {
            get;
            set;
        }

        public DateTime UpdateTimestamp
        {
            get;
            set;
        }

        private Dictionary<Guid, Collection<Guid>> permissions = new Dictionary<Guid, Collection<Guid>>();
        public Dictionary<Guid, Collection<Guid>> Permissions
        {
            get
            {
                return permissions;
            }
        }

        #endregion

        #region Override Method

        public override bool Equals(object obj)
        {
            if (obj == null) return false;
            if (obj.GetType() != typeof(Role)) return false;

            return this.Id == ((Role)obj).Id;
        }

        public override int GetHashCode()
        {
            return this.Id.GetHashCode();
        }

        #endregion
    }
}
