﻿using System;
using System.Runtime.Serialization;

using Sunyi.Project.WebPoint.PlatFormException;

namespace Sunyi.Project.WebPoint.BusinessLogic
{
    [Serializable]
    public enum SecurityErrorCode
    {
        InvalidTokenId,
        InvalidAccessCode,
        InvalidTokenUserId,
        InvalidUserCredential
    }

    [Serializable]
    public class WebPointSecurityException : WebPointException
    {
        public SecurityErrorCode ErrorCode
        {
            get;
            set;
        }

        public WebPointSecurityException() : base() { }

        public WebPointSecurityException(string message) : base(message) { }

        protected WebPointSecurityException(SerializationInfo info, StreamingContext context) : base(info, context) { }

        public WebPointSecurityException(string message, Exception innerException) : base(message, innerException) { }
    }
}
